Bio::Variation::RNAChange(3)

NAME
Bio::Variation::RNAChange - Sequence change class for RNA level

SYNOPSIS
   $rnachange = Bio::Variation::RNAChange->new
       ('-start'         => $start,
        '-end'           => $end,
        '-length'        => $len,
        '-codon_pos'     => $cp,
        '-upStreamSeq'   => $upflank,
        '-dnStreamSeq'   => $dnflank,
        '-proof'         => $proof,
        '-isMutation'    => 1,
        '-mut_number'    => $mut_number
       );
   $a1 = Bio::Variation::Allele->new;
   $a1->seq('a');
   $rnachange->allele_ori($a1);
   my $a2 = Bio::Variation::Allele->new;
   $a2->seq('t');
   $rnachange->add_Allele($a2);
   $rnachange->allele_mut($a2);

   print "The codon change is ", $rnachange->codon_ori,
       ">", $rnachange->codon_mut, "\n";

   # add it to a SeqDiff container object
   $seqdiff->add_Variant($rnachange);

   # and create links to and from DNA level mutation objects
   $rnachange->DNAMutation($dnamut);
   $dnamut->RNAChange($rnachange);

DESCRIPTION
The instantiable class Bio::Variation::DNAMutation describes basic sequence changes at RNA molecule level. It uses methods defined in superclass Bio::Variation::VariantI. See Bio::Variation::VariantI for details.

You are normally expected to create a corresponding Bio::Variation::DNAMutation object even if mutation is defined at RNA level. The numbering follows then cDNA numbering. Link the DNAMutation object to the RNAChange object using the method DNAMutation(). If the variation described by a RNAChange object is translated, link the corresponding Bio::Variation::AAChange object to it using method AAChange(). See Bio::Variation::DNAMutation and Bio::Variation::AAChange for more information.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing lists Your participation is much appreciated.

  bioperl-l@bioperl.org                         - General discussion
  http://bio.perl.org/MailList.html             - About the mailing lists

  Reporting Bugs
report bugs to the Bioperl bug tracking system to help us keep track
 the bugs and their resolution. Bug reports can be submitted via
 email or the web:

  bioperl-bugs@bio.perl.org
  http://bugzilla.bioperl.org/

AUTHOR - Heikki Lehvaslaiho
Email: heikki@ebi.ac.uk Address:

     EMBL Outstation, European Bioinformatics Institute
     Wellcome Trust Genome Campus, Hinxton
     Cambs. CB10 1SD, United Kingdom

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  codon_ori
 Title   : codon_ori
 Usage   : $obj->codon_ori();
 Function:

            Sets and returns codon_ori triplet.  If value is not set,
            creates the codon triplet from the codon position and
            flanking sequences.  The string has to be three characters
            long. The character content is not checked.

 Example :
 Returns : string
 Args    : string

  codon_mut
 Title   : codon_mut
 Usage   : $obj->codon_mut();
 Function:

            Sets and returns codon_mut triplet.  If value is not
            set, creates the codon triplet from the codon position and
            flanking sequences. Return undef for other than point mutations.

 Example :
 Returns : string
 Args    : string

  codon_pos
 Title   : codon_pos
 Usage   : $obj->codon_pos();
 Function:

            Sets and returns the position of the mutation start in the
            codon. If value is not set, returns false.

 Example :
 Returns : 1,2,3
 Args    : none if get, the new value if set

  codon_table
 Title   : codon_table
 Usage   : $obj->codon_table();
 Function:

            Sets and returns the codon table id of the RNA
            If value is not set, returns 1, 'universal' code, as the default.

 Example :
 Returns : integer
 Args    : none if get, the new value if set

  DNAMutation
 Title   : DNAMutation
 Usage   : $mutobj = $obj->DNAMutation;
         : $mutobj = $obj->DNAMutation($objref);
 Function: Returns or sets the link-reference to a mutation/change object.
           If there is no link, it will return undef
 Returns : an obj_ref or undef

  AAChange
 Title   : AAChange
 Usage   : $mutobj = $obj->AAChange;
         : $mutobj = $obj->AAChange($objref);
 Function: Returns or sets the link-reference to a mutation/change object.
           If there is no link, it will return undef
 Returns : an obj_ref or undef

  exons_modified
 Title   : exons_modified
 Usage   : $modified = $obj->exons_modified;
         : $modified = $obj->exons_modified(1);
 Function: Returns or sets information (example: a simple boolean flag) about
           the modification of exons as a result of a mutation.

  region
 Title   : region
 Usage   : $obj->region();
 Function:

            Sets and returns the name of the sequence region type or
            protein domain at this location.  If value is not set,
            returns false.

 Example :
 Returns : string
 Args    : string

  cds_end
 Title   : cds_end
 Usage   : $cds_end = $obj->get_cds_end();
 Function:

           Sets or returns the cds_end from the beginning of the DNA sequence
           to the coordinate start used to describe variants.
           Should be the location of the last nucleotide of the
           terminator codon of the gene.

 Example :
 Returns : value of cds_end, a scalar
 Args    :

  label
 Title   : label
 Usage   : $obj->label();
 Function:

            Sets and returns mutation event label(s).  If value is not
            set, or no argument is given returns false.  Each
            instantiable subclass of L<Bio::Variation::VariantI> needs
            to implement this method. Valid values are listed in
            'Mutation event controlled vocabulary' in
            http://www.ebi.ac.uk/mutations/recommendations/mutevent.html.

 Example :
 Returns : string
 Args    : string

  _change_codon_pos
 Title   : _change_codon_pos
 Usage   : $newCodonPos = _change_codon_pos($myCodonPos, 5)
 Function:

           Keeps track of the codon position in a changeing sequence

 Returns : codon_pos = integer 1, 2 or 3
 Args    : valid codon position
           signed integer offset to a new location in sequence